<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="#"> <img src="../../../assets/img/parrot.svg" alt="Home" width="30"
      height="24" class="d-inline-block align-top">Yakoiou</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact : true}">
          <a class="nav-link active" aria-current="page" routerLink="/"><i class="fa fa-fw fa-home"></i>Home</a>
        </li>
        <li class="nav-item dropdown">
          <a *ngIf="isLogin"  class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Manage
          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <li><a *ngIf="usrRole" class="dropdown-item" routerLink="/ngr-listusers">Manage Users</a></li>
            <li><a class="dropdown-item" href="#">Profile</a></li>
            <!--<li><a *ngIf="usrRole" class="dropdown-item" href="#">Manage Produits</a></li>-->
          </ul>
        </li>
       
        <li class="nav-item" routerLinkActive="active">
          <a  *ngIf="!isLogin" class="nav-link" routerLink="/ngr-login"><i class="fa fa-fw fa-user"></i>Login</a>
        </li>
        <li class="nav-item"  routerLinkActive="active">
          <a *ngIf="!isLogin" class="nav-link "    routerLink="/ngr-register">Register</a>
        </li>
        <li class="nav-item" routerLinkActive="active">
          <a *ngIf="isLogin"  class="nav-link"  routerLink="/nrg-logout"  ><i class="fas fa-sign-out-alt"></i>Logout</a>
        </li>
      </ul>
      <form class="d-flex">
        <input name="commune" #commune class="form-control typeahead-format mr-sm-2" type="Search"
          placeholder="Recherche" aria-label="Search">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit"
          (click)="onSubmit(commune)">Recherche</button>
      </form>
    </div>
  </div>
</nav>
